# sqfentity

![Sqf Entity ORM Preview](https://github.com/hhtokpinar/sqfEntity/raw/master/assets/img/SqfEntity_ORM.gif) 

## Getting Started

SqfEntity is based on SQFlite plugin and lets you build and execute SQL commands easily and quickly with the help of fluent methods similar to .Net Entity Framework

Leave the job to SqfEntitiy for CRUD operations. Do easily and faster adding tables, adding columns, defining multiple tables, soft deleting, recovery, syncronize data from the web and more with the help of SqfEntityTable class.

If you have a bundled database, you can use it or EntityBase will create a new database automatically for you.

## What can be done with SqfEntity?

1. Create Database Model (supports multiple databases & models)
2. Creating Model (Table) Class
3. Basic methods for CRUD operations ex: toSingle(), toList(), getById(), save(), saveAll(), delete(), recover() (only softdelete was activated) and Update Batch/Multiple row
4. DISTINCT
5. GROUP BY with Aggregate and Scalar functions (MIN,MAX,SUM,AVG..)
6. Object Relational Mapping (Child to Parent, get Childs of Parent)
7. Syncronize data from JSON (on the web)


For more information about the SqfEntity and download sample application [Click here](https://github.com/hhtokpinar/sqfEntity)